gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. To be added To be added Gtk.Bin Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  GLib.List To be added To be added: an object of type 'GLib.List' To be added
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  System.UInt32 To be added To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'int&' To be added: an object of type 'int&' To be added: an object of type 'int&' To be added: an object of type 'int&' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int&' To be added: an object of type 'int&' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int&' To be added: an object of type 'int&' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Method
  System.Boolean `` To be added To be added: an object of type 'string' To be added: an object of type 'bool' To be added
- Method
  System.Void `` To be added To be added: an object of type 'Gtk.AccelGroup' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'uint' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` `` `` `` `` To be added To be added: an object of type 'Gdk.WindowEdge' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'int' To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int&' To be added: an object of type 'int&' To be added
- Method
  System.Void To be added To be added
- Method
  System.Boolean `` `` To be added To be added: an object of type 'uint' To be added: an object of type 'Gdk.ModifierType' To be added: an object of type 'bool' To be added
- Method
  System.Boolean To be added To be added: an object of type 'bool' To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'uint' To be added: an object of type 'Gtk.Widget' To be added
- Method
  System.Void `` To be added To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Method
  System.Void `` To be added To be added: an object of type 'uint' To be added
- Method
  System.Void `` `` Sets the default size of an object, with the specified width and height arguments. To be added: an object of type 'int' To be added: an object of type 'int'

  It is used for setting the default size an object will have. The first argument, int width, defines the default width of the object ( in pixels ). A similar situation happens with the second argument, int height.

  It only affects the initial size of the Window, so the user can resizes it. If the Window is hidden and re-shown, it will remmeber the size it had before get hidding.

- Method
  System.Void To be added To be added
- Method
  System.Void To be added To be added
- Method
  System.Void `` `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Method
  System.Void `` Sets the position for a Window, based on the Gtk.WindowPosition position argument. To be added: an object of type 'Gtk.WindowPosition'

  Is is used for placing the Window in some area, depending on the Gtk.WindowPosition position argument.

- Method
  System.Void `` To be added To be added: an object of type 'Gtk.AccelGroup' To be added
- Method
  System.Void `` `` `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gdk.Geometry' To be added: an object of type 'Gdk.WindowHints' To be added
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  GLib type for the type
  Creates a new instance of Window, using the GLib-provided type

  This is a constructor used by derivative types of that would have their own GLib type assigned to it. This is not typically used by C# code.

- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Window, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new Window object, based on the Gtk.WindowType type argument.
  To be added: an object of type 'Gtk.WindowType'
  To be added: an object of type 'Gtk.Window'

  Creates a new Window object, wich can be of type TopLevel ( most of the cases ) or PopUp. Take care with the use of PopUp type, since it is not controlled by the window manager.

- Constructor
  To be added
  To be added: an object of type 'Gtk.Window'
  To be added
- Constructor
  Creates a new TopLevel Window object, with the specified string argument as the title.
  To be added: an object of type 'string'
  To be added: an object of type 'Gtk.Window'

  Creates a new TopLevel Window object, using the string title argument to specify the Window title. You get the same if you use the public Window ( Gtk.WindowType type ) constructor and later set the string Title property.

- Property
  GLib.List `` To be added To be added: an object of type 'GLib.List' To be added: an object of type 'GLib.List' To be added
- Property
  System.UInt32 The GLib Type for Gtk.Window The GLib TYpe for the Gtk.Window class.
- Property
  System.Drawing.Size To be added To be added: an object of type '' To be added
- Property
  System.Drawing.Size To be added To be added: an object of type '' To be added
- Property
  System.Drawing.Size `` To be added To be added: an object of type '' To be added: an object of type '' To be added
- Property
  Gtk.Widget `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  Gdk.Gravity `` To be added To be added: an object of type 'Gdk.Gravity' To be added: an object of type 'Gdk.Gravity' To be added
- Property
  Gdk.ModifierType `` To be added To be added: an object of type 'Gdk.ModifierType' To be added: an object of type 'Gdk.ModifierType' To be added
- Property
  Gdk.WindowTypeHint `` To be added To be added: an object of type 'Gdk.WindowTypeHint' To be added: an object of type 'Gdk.WindowTypeHint' To be added
- Property
  Gtk.Window `` To be added To be added: an object of type 'Gtk.Window' To be added: an object of type 'Gtk.Window' To be added
- Property
  Gtk.Widget `` To be added To be added: an object of type 'Gtk.Widget' To be added: an object of type 'Gtk.Widget' To be added
- Property
  GLib.List `` To be added To be added: an object of type 'GLib.List' To be added: an object of type 'GLib.List' To be added
- Property
  System.String `` To be added To be added: an object of type 'string' To be added: an object of type 'string' To be added
- Property
  System.Boolean `` Sets if a Window will be decorated or not ( borderless ). To be added: an object of type 'bool' To be added: an object of type 'bool'

  With this property you control if a window will be decorated or not.

  By default, windows are decorated with a title bar and resize controls. Some window managers allow to disable these decorations, creating a borderless Window. If you set this property as false, Gtk# will try to convince the window manager not to decorate the Window.

- Property
  System.Boolean `` Sets if a Window will be resizable by the user or not. To be added: an object of type 'bool' To be added: an object of type 'bool'

  By default, windows are resizable, so you can change the size of them. But if you set this property to false, the user won't be able to change the size of them.

- Property
  Gtk.WindowPosition `` Property used for setting/getting the window position. To be added: an object of type 'Gtk.WindowPosition' To be added: an object of type 'Gtk.WindowPosition'

  This property will alow you to define where a Window must be displayed on the screen. It work with the Gtk.WindowPosition enum, soy maybe you should check it before use it.

- Property
  System.Int32 `` Property used for defining the default height of a window. To be added: an object of type 'int' To be added: an object of type 'int'

  This property will allow you to define the default height for your Window. It only define the default one, so if the Window is resized, it won't be able to do anything.

- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Property
  System.String `` Property used for setting the Window Title. To be added: an object of type 'string' To be added: an object of type 'string'

  This property will allow you to set the Window Title. The Title of a window will be displayed in its title bar. Since the title bar is rendered by the window managers on X Window System, the way it appears will depend on the user preferences. This title should help the users to distinguish a window from others opened. A good title will have the application name an the actual document, for example.

- Property
  Gtk.WindowType To be added To be added: an object of type 'Gtk.WindowType' To be added
- Property
  System.Int32 `` To be added To be added: an object of type 'int' To be added: an object of type 'int' To be added
- Property
  Gdk.Pixbuf `` To be added To be added: an object of type 'Gdk.Pixbuf' To be added: an object of type 'Gdk.Pixbuf' To be added
- Property
  System.Boolean `` To be added To be added: an object of type 'bool' To be added: an object of type 'bool' To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added
- Event
  To be added
  To be added